-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.0 Build 218 06/27/2010 SJ Full Version"

-- DATE "09/28/2010 01:10:21"

-- 
-- Device: Altera EP3C16Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIII;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIII.CYCLONEIII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	myfirst IS
    PORT (
	a : IN std_logic;
	b : IN std_logic;
	z : OUT std_logic
	);
END myfirst;

-- Design Ports Information
-- z	=>  Location: PIN_37,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- a	=>  Location: PIN_31,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- b	=>  Location: PIN_32,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF myfirst IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_a : std_logic;
SIGNAL ww_b : std_logic;
SIGNAL ww_z : std_logic;
SIGNAL \a~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \b~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \C1|state[6]~26_combout\ : std_logic;
SIGNAL \C1|state[7]~28_combout\ : std_logic;
SIGNAL \C1|state[8]~30_combout\ : std_logic;
SIGNAL \C1|state[9]~32_combout\ : std_logic;
SIGNAL \C1|state[10]~34_combout\ : std_logic;
SIGNAL \C1|state[11]~36_combout\ : std_logic;
SIGNAL \C1|state[12]~38_combout\ : std_logic;
SIGNAL \C1|state[22]~58_combout\ : std_logic;
SIGNAL \C1|state[24]~62_combout\ : std_logic;
SIGNAL \C1|state[25]~64_combout\ : std_logic;
SIGNAL \C1|state[27]~68_combout\ : std_logic;
SIGNAL \C1|state[28]~70_combout\ : std_logic;
SIGNAL \C1|state[30]~74_combout\ : std_logic;
SIGNAL \a~input_o\ : std_logic;
SIGNAL \a~inputclkctrl_outclk\ : std_logic;
SIGNAL \C1|state[6]~27\ : std_logic;
SIGNAL \C1|state[7]~29\ : std_logic;
SIGNAL \C1|state[8]~31\ : std_logic;
SIGNAL \C1|state[9]~33\ : std_logic;
SIGNAL \C1|state[10]~35\ : std_logic;
SIGNAL \C1|state[11]~37\ : std_logic;
SIGNAL \C1|state[12]~39\ : std_logic;
SIGNAL \C1|state[13]~40_combout\ : std_logic;
SIGNAL \b~input_o\ : std_logic;
SIGNAL \b~inputclkctrl_outclk\ : std_logic;
SIGNAL \C1|state[13]~41\ : std_logic;
SIGNAL \C1|state[14]~42_combout\ : std_logic;
SIGNAL \C1|state[14]~43\ : std_logic;
SIGNAL \C1|state[15]~44_combout\ : std_logic;
SIGNAL \C1|state[15]~45\ : std_logic;
SIGNAL \C1|state[16]~46_combout\ : std_logic;
SIGNAL \C1|state[16]~47\ : std_logic;
SIGNAL \C1|state[17]~48_combout\ : std_logic;
SIGNAL \C1|state[17]~49\ : std_logic;
SIGNAL \C1|state[18]~50_combout\ : std_logic;
SIGNAL \C1|state[18]~51\ : std_logic;
SIGNAL \C1|state[19]~52_combout\ : std_logic;
SIGNAL \C1|state[19]~53\ : std_logic;
SIGNAL \C1|state[20]~54_combout\ : std_logic;
SIGNAL \C1|state[20]~55\ : std_logic;
SIGNAL \C1|state[21]~56_combout\ : std_logic;
SIGNAL \C1|state[21]~57\ : std_logic;
SIGNAL \C1|state[22]~59\ : std_logic;
SIGNAL \C1|state[23]~60_combout\ : std_logic;
SIGNAL \C1|state[23]~61\ : std_logic;
SIGNAL \C1|state[24]~63\ : std_logic;
SIGNAL \C1|state[25]~65\ : std_logic;
SIGNAL \C1|state[26]~66_combout\ : std_logic;
SIGNAL \C1|state[26]~67\ : std_logic;
SIGNAL \C1|state[27]~69\ : std_logic;
SIGNAL \C1|state[28]~71\ : std_logic;
SIGNAL \C1|state[29]~72_combout\ : std_logic;
SIGNAL \C1|state[29]~73\ : std_logic;
SIGNAL \C1|state[30]~75\ : std_logic;
SIGNAL \C1|state[31]~76_combout\ : std_logic;
SIGNAL \C1|res~0_combout\ : std_logic;
SIGNAL \C1|res~q\ : std_logic;
SIGNAL \C1|state\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \ALT_INV_b~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_a <= a;
ww_b <= b;
z <= ww_z;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\a~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \a~input_o\);

\b~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \b~input_o\);
\ALT_INV_b~inputclkctrl_outclk\ <= NOT \b~inputclkctrl_outclk\;

-- Location: FF_X1_Y12_N23
\C1|state[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[30]~74_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(30));

-- Location: FF_X1_Y12_N19
\C1|state[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[28]~70_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(28));

-- Location: FF_X1_Y12_N17
\C1|state[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[27]~68_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(27));

-- Location: FF_X1_Y12_N13
\C1|state[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[25]~64_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(25));

-- Location: FF_X1_Y12_N11
\C1|state[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[24]~62_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(24));

-- Location: FF_X1_Y12_N7
\C1|state[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[22]~58_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(22));

-- Location: FF_X1_Y13_N19
\C1|state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[12]~38_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(12));

-- Location: FF_X1_Y13_N17
\C1|state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[11]~36_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(11));

-- Location: FF_X1_Y13_N15
\C1|state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[10]~34_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(10));

-- Location: FF_X1_Y13_N13
\C1|state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[9]~32_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(9));

-- Location: FF_X1_Y13_N11
\C1|state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[8]~30_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(8));

-- Location: FF_X1_Y13_N9
\C1|state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[7]~28_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(7));

-- Location: FF_X1_Y13_N7
\C1|state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[6]~26_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(6));

-- Location: LCCOMB_X1_Y13_N6
\C1|state[6]~26\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[6]~26_combout\ = \C1|state\(6) $ (VCC)
-- \C1|state[6]~27\ = CARRY(\C1|state\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(6),
	datad => VCC,
	combout => \C1|state[6]~26_combout\,
	cout => \C1|state[6]~27\);

-- Location: LCCOMB_X1_Y13_N8
\C1|state[7]~28\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[7]~28_combout\ = (\C1|state\(7) & ((\C1|state\(31) & (!\C1|state[6]~27\)) # (!\C1|state\(31) & (\C1|state[6]~27\ & VCC)))) # (!\C1|state\(7) & ((\C1|state\(31) & ((\C1|state[6]~27\) # (GND))) # (!\C1|state\(31) & (!\C1|state[6]~27\))))
-- \C1|state[7]~29\ = CARRY((\C1|state\(7) & (\C1|state\(31) & !\C1|state[6]~27\)) # (!\C1|state\(7) & ((\C1|state\(31)) # (!\C1|state[6]~27\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(7),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[6]~27\,
	combout => \C1|state[7]~28_combout\,
	cout => \C1|state[7]~29\);

-- Location: LCCOMB_X1_Y13_N10
\C1|state[8]~30\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[8]~30_combout\ = ((\C1|state\(8) $ (\C1|state\(31) $ (\C1|state[7]~29\)))) # (GND)
-- \C1|state[8]~31\ = CARRY((\C1|state\(8) & ((!\C1|state[7]~29\) # (!\C1|state\(31)))) # (!\C1|state\(8) & (!\C1|state\(31) & !\C1|state[7]~29\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(8),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[7]~29\,
	combout => \C1|state[8]~30_combout\,
	cout => \C1|state[8]~31\);

-- Location: LCCOMB_X1_Y13_N12
\C1|state[9]~32\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[9]~32_combout\ = (\C1|state\(9) & ((\C1|state\(31) & (!\C1|state[8]~31\)) # (!\C1|state\(31) & (\C1|state[8]~31\ & VCC)))) # (!\C1|state\(9) & ((\C1|state\(31) & ((\C1|state[8]~31\) # (GND))) # (!\C1|state\(31) & (!\C1|state[8]~31\))))
-- \C1|state[9]~33\ = CARRY((\C1|state\(9) & (\C1|state\(31) & !\C1|state[8]~31\)) # (!\C1|state\(9) & ((\C1|state\(31)) # (!\C1|state[8]~31\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(9),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[8]~31\,
	combout => \C1|state[9]~32_combout\,
	cout => \C1|state[9]~33\);

-- Location: LCCOMB_X1_Y13_N14
\C1|state[10]~34\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[10]~34_combout\ = ((\C1|state\(10) $ (\C1|state\(31) $ (\C1|state[9]~33\)))) # (GND)
-- \C1|state[10]~35\ = CARRY((\C1|state\(10) & ((!\C1|state[9]~33\) # (!\C1|state\(31)))) # (!\C1|state\(10) & (!\C1|state\(31) & !\C1|state[9]~33\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(10),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[9]~33\,
	combout => \C1|state[10]~34_combout\,
	cout => \C1|state[10]~35\);

-- Location: LCCOMB_X1_Y13_N16
\C1|state[11]~36\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[11]~36_combout\ = (\C1|state\(11) & ((\C1|state\(31) & (\C1|state[10]~35\ & VCC)) # (!\C1|state\(31) & (!\C1|state[10]~35\)))) # (!\C1|state\(11) & ((\C1|state\(31) & (!\C1|state[10]~35\)) # (!\C1|state\(31) & ((\C1|state[10]~35\) # (GND)))))
-- \C1|state[11]~37\ = CARRY((\C1|state\(11) & (!\C1|state\(31) & !\C1|state[10]~35\)) # (!\C1|state\(11) & ((!\C1|state[10]~35\) # (!\C1|state\(31)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(11),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[10]~35\,
	combout => \C1|state[11]~36_combout\,
	cout => \C1|state[11]~37\);

-- Location: LCCOMB_X1_Y13_N18
\C1|state[12]~38\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[12]~38_combout\ = ((\C1|state\(12) $ (\C1|state\(31) $ (!\C1|state[11]~37\)))) # (GND)
-- \C1|state[12]~39\ = CARRY((\C1|state\(12) & ((\C1|state\(31)) # (!\C1|state[11]~37\))) # (!\C1|state\(12) & (\C1|state\(31) & !\C1|state[11]~37\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(12),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[11]~37\,
	combout => \C1|state[12]~38_combout\,
	cout => \C1|state[12]~39\);

-- Location: LCCOMB_X1_Y12_N6
\C1|state[22]~58\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[22]~58_combout\ = ((\C1|state\(22) $ (\C1|state\(31) $ (!\C1|state[21]~57\)))) # (GND)
-- \C1|state[22]~59\ = CARRY((\C1|state\(22) & ((\C1|state\(31)) # (!\C1|state[21]~57\))) # (!\C1|state\(22) & (\C1|state\(31) & !\C1|state[21]~57\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(22),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[21]~57\,
	combout => \C1|state[22]~58_combout\,
	cout => \C1|state[22]~59\);

-- Location: LCCOMB_X1_Y12_N10
\C1|state[24]~62\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[24]~62_combout\ = ((\C1|state\(24) $ (\C1|state\(31) $ (!\C1|state[23]~61\)))) # (GND)
-- \C1|state[24]~63\ = CARRY((\C1|state\(24) & ((\C1|state\(31)) # (!\C1|state[23]~61\))) # (!\C1|state\(24) & (\C1|state\(31) & !\C1|state[23]~61\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(24),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[23]~61\,
	combout => \C1|state[24]~62_combout\,
	cout => \C1|state[24]~63\);

-- Location: LCCOMB_X1_Y12_N12
\C1|state[25]~64\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[25]~64_combout\ = (\C1|state\(25) & ((\C1|state\(31) & (!\C1|state[24]~63\)) # (!\C1|state\(31) & (\C1|state[24]~63\ & VCC)))) # (!\C1|state\(25) & ((\C1|state\(31) & ((\C1|state[24]~63\) # (GND))) # (!\C1|state\(31) & (!\C1|state[24]~63\))))
-- \C1|state[25]~65\ = CARRY((\C1|state\(25) & (\C1|state\(31) & !\C1|state[24]~63\)) # (!\C1|state\(25) & ((\C1|state\(31)) # (!\C1|state[24]~63\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(25),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[24]~63\,
	combout => \C1|state[25]~64_combout\,
	cout => \C1|state[25]~65\);

-- Location: LCCOMB_X1_Y12_N16
\C1|state[27]~68\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[27]~68_combout\ = (\C1|state\(27) & ((\C1|state\(31) & (!\C1|state[26]~67\)) # (!\C1|state\(31) & (\C1|state[26]~67\ & VCC)))) # (!\C1|state\(27) & ((\C1|state\(31) & ((\C1|state[26]~67\) # (GND))) # (!\C1|state\(31) & (!\C1|state[26]~67\))))
-- \C1|state[27]~69\ = CARRY((\C1|state\(27) & (\C1|state\(31) & !\C1|state[26]~67\)) # (!\C1|state\(27) & ((\C1|state\(31)) # (!\C1|state[26]~67\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(27),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[26]~67\,
	combout => \C1|state[27]~68_combout\,
	cout => \C1|state[27]~69\);

-- Location: LCCOMB_X1_Y12_N18
\C1|state[28]~70\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[28]~70_combout\ = ((\C1|state\(28) $ (\C1|state\(31) $ (\C1|state[27]~69\)))) # (GND)
-- \C1|state[28]~71\ = CARRY((\C1|state\(28) & ((!\C1|state[27]~69\) # (!\C1|state\(31)))) # (!\C1|state\(28) & (!\C1|state\(31) & !\C1|state[27]~69\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(28),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[27]~69\,
	combout => \C1|state[28]~70_combout\,
	cout => \C1|state[28]~71\);

-- Location: LCCOMB_X1_Y12_N22
\C1|state[30]~74\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[30]~74_combout\ = ((\C1|state\(30) $ (\C1|state\(31) $ (\C1|state[29]~73\)))) # (GND)
-- \C1|state[30]~75\ = CARRY((\C1|state\(30) & ((!\C1|state[29]~73\) # (!\C1|state\(31)))) # (!\C1|state\(30) & (!\C1|state\(31) & !\C1|state[29]~73\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(30),
	datab => \C1|state\(31),
	datad => VCC,
	cin => \C1|state[29]~73\,
	combout => \C1|state[30]~74_combout\,
	cout => \C1|state[30]~75\);

-- Location: IOOBUF_X0_Y12_N23
\z~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \C1|res~q\,
	devoe => ww_devoe,
	o => ww_z);

-- Location: IOIBUF_X0_Y14_N1
\a~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_a,
	o => \a~input_o\);

-- Location: CLKCTRL_G4
\a~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \a~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \a~inputclkctrl_outclk\);

-- Location: LCCOMB_X1_Y13_N20
\C1|state[13]~40\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[13]~40_combout\ = (\C1|state\(31) & ((\C1|state\(13) & (\C1|state[12]~39\ & VCC)) # (!\C1|state\(13) & (!\C1|state[12]~39\)))) # (!\C1|state\(31) & ((\C1|state\(13) & (!\C1|state[12]~39\)) # (!\C1|state\(13) & ((\C1|state[12]~39\) # (GND)))))
-- \C1|state[13]~41\ = CARRY((\C1|state\(31) & (!\C1|state\(13) & !\C1|state[12]~39\)) # (!\C1|state\(31) & ((!\C1|state[12]~39\) # (!\C1|state\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(13),
	datad => VCC,
	cin => \C1|state[12]~39\,
	combout => \C1|state[13]~40_combout\,
	cout => \C1|state[13]~41\);

-- Location: IOIBUF_X0_Y14_N8
\b~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_b,
	o => \b~input_o\);

-- Location: CLKCTRL_G2
\b~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \b~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \b~inputclkctrl_outclk\);

-- Location: FF_X1_Y13_N21
\C1|state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[13]~40_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(13));

-- Location: LCCOMB_X1_Y13_N22
\C1|state[14]~42\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[14]~42_combout\ = ((\C1|state\(31) $ (\C1|state\(14) $ (!\C1|state[13]~41\)))) # (GND)
-- \C1|state[14]~43\ = CARRY((\C1|state\(31) & ((\C1|state\(14)) # (!\C1|state[13]~41\))) # (!\C1|state\(31) & (\C1|state\(14) & !\C1|state[13]~41\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(14),
	datad => VCC,
	cin => \C1|state[13]~41\,
	combout => \C1|state[14]~42_combout\,
	cout => \C1|state[14]~43\);

-- Location: FF_X1_Y13_N23
\C1|state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[14]~42_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(14));

-- Location: LCCOMB_X1_Y13_N24
\C1|state[15]~44\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[15]~44_combout\ = (\C1|state\(31) & ((\C1|state\(15) & (!\C1|state[14]~43\)) # (!\C1|state\(15) & ((\C1|state[14]~43\) # (GND))))) # (!\C1|state\(31) & ((\C1|state\(15) & (\C1|state[14]~43\ & VCC)) # (!\C1|state\(15) & (!\C1|state[14]~43\))))
-- \C1|state[15]~45\ = CARRY((\C1|state\(31) & ((!\C1|state[14]~43\) # (!\C1|state\(15)))) # (!\C1|state\(31) & (!\C1|state\(15) & !\C1|state[14]~43\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(15),
	datad => VCC,
	cin => \C1|state[14]~43\,
	combout => \C1|state[15]~44_combout\,
	cout => \C1|state[15]~45\);

-- Location: FF_X1_Y13_N25
\C1|state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[15]~44_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(15));

-- Location: LCCOMB_X1_Y13_N26
\C1|state[16]~46\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[16]~46_combout\ = ((\C1|state\(31) $ (\C1|state\(16) $ (!\C1|state[15]~45\)))) # (GND)
-- \C1|state[16]~47\ = CARRY((\C1|state\(31) & ((\C1|state\(16)) # (!\C1|state[15]~45\))) # (!\C1|state\(31) & (\C1|state\(16) & !\C1|state[15]~45\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(16),
	datad => VCC,
	cin => \C1|state[15]~45\,
	combout => \C1|state[16]~46_combout\,
	cout => \C1|state[16]~47\);

-- Location: FF_X1_Y13_N27
\C1|state[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[16]~46_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(16));

-- Location: LCCOMB_X1_Y13_N28
\C1|state[17]~48\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[17]~48_combout\ = (\C1|state\(31) & ((\C1|state\(17) & (!\C1|state[16]~47\)) # (!\C1|state\(17) & ((\C1|state[16]~47\) # (GND))))) # (!\C1|state\(31) & ((\C1|state\(17) & (\C1|state[16]~47\ & VCC)) # (!\C1|state\(17) & (!\C1|state[16]~47\))))
-- \C1|state[17]~49\ = CARRY((\C1|state\(31) & ((!\C1|state[16]~47\) # (!\C1|state\(17)))) # (!\C1|state\(31) & (!\C1|state\(17) & !\C1|state[16]~47\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(17),
	datad => VCC,
	cin => \C1|state[16]~47\,
	combout => \C1|state[17]~48_combout\,
	cout => \C1|state[17]~49\);

-- Location: FF_X1_Y13_N29
\C1|state[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[17]~48_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(17));

-- Location: LCCOMB_X1_Y13_N30
\C1|state[18]~50\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[18]~50_combout\ = ((\C1|state\(31) $ (\C1|state\(18) $ (!\C1|state[17]~49\)))) # (GND)
-- \C1|state[18]~51\ = CARRY((\C1|state\(31) & ((\C1|state\(18)) # (!\C1|state[17]~49\))) # (!\C1|state\(31) & (\C1|state\(18) & !\C1|state[17]~49\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(18),
	datad => VCC,
	cin => \C1|state[17]~49\,
	combout => \C1|state[18]~50_combout\,
	cout => \C1|state[18]~51\);

-- Location: FF_X1_Y13_N31
\C1|state[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[18]~50_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(18));

-- Location: LCCOMB_X1_Y12_N0
\C1|state[19]~52\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[19]~52_combout\ = (\C1|state\(31) & ((\C1|state\(19) & (\C1|state[18]~51\ & VCC)) # (!\C1|state\(19) & (!\C1|state[18]~51\)))) # (!\C1|state\(31) & ((\C1|state\(19) & (!\C1|state[18]~51\)) # (!\C1|state\(19) & ((\C1|state[18]~51\) # (GND)))))
-- \C1|state[19]~53\ = CARRY((\C1|state\(31) & (!\C1|state\(19) & !\C1|state[18]~51\)) # (!\C1|state\(31) & ((!\C1|state[18]~51\) # (!\C1|state\(19)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(19),
	datad => VCC,
	cin => \C1|state[18]~51\,
	combout => \C1|state[19]~52_combout\,
	cout => \C1|state[19]~53\);

-- Location: FF_X1_Y12_N1
\C1|state[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[19]~52_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(19));

-- Location: LCCOMB_X1_Y12_N2
\C1|state[20]~54\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[20]~54_combout\ = ((\C1|state\(31) $ (\C1|state\(20) $ (!\C1|state[19]~53\)))) # (GND)
-- \C1|state[20]~55\ = CARRY((\C1|state\(31) & ((\C1|state\(20)) # (!\C1|state[19]~53\))) # (!\C1|state\(31) & (\C1|state\(20) & !\C1|state[19]~53\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(20),
	datad => VCC,
	cin => \C1|state[19]~53\,
	combout => \C1|state[20]~54_combout\,
	cout => \C1|state[20]~55\);

-- Location: FF_X1_Y12_N3
\C1|state[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[20]~54_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(20));

-- Location: LCCOMB_X1_Y12_N4
\C1|state[21]~56\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[21]~56_combout\ = (\C1|state\(31) & ((\C1|state\(21) & (\C1|state[20]~55\ & VCC)) # (!\C1|state\(21) & (!\C1|state[20]~55\)))) # (!\C1|state\(31) & ((\C1|state\(21) & (!\C1|state[20]~55\)) # (!\C1|state\(21) & ((\C1|state[20]~55\) # (GND)))))
-- \C1|state[21]~57\ = CARRY((\C1|state\(31) & (!\C1|state\(21) & !\C1|state[20]~55\)) # (!\C1|state\(31) & ((!\C1|state[20]~55\) # (!\C1|state\(21)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(21),
	datad => VCC,
	cin => \C1|state[20]~55\,
	combout => \C1|state[21]~56_combout\,
	cout => \C1|state[21]~57\);

-- Location: FF_X1_Y12_N5
\C1|state[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[21]~56_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(21));

-- Location: LCCOMB_X1_Y12_N8
\C1|state[23]~60\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[23]~60_combout\ = (\C1|state\(31) & ((\C1|state\(23) & (!\C1|state[22]~59\)) # (!\C1|state\(23) & ((\C1|state[22]~59\) # (GND))))) # (!\C1|state\(31) & ((\C1|state\(23) & (\C1|state[22]~59\ & VCC)) # (!\C1|state\(23) & (!\C1|state[22]~59\))))
-- \C1|state[23]~61\ = CARRY((\C1|state\(31) & ((!\C1|state[22]~59\) # (!\C1|state\(23)))) # (!\C1|state\(31) & (!\C1|state\(23) & !\C1|state[22]~59\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(23),
	datad => VCC,
	cin => \C1|state[22]~59\,
	combout => \C1|state[23]~60_combout\,
	cout => \C1|state[23]~61\);

-- Location: FF_X1_Y12_N9
\C1|state[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[23]~60_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(23));

-- Location: LCCOMB_X1_Y12_N14
\C1|state[26]~66\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[26]~66_combout\ = ((\C1|state\(31) $ (\C1|state\(26) $ (\C1|state[25]~65\)))) # (GND)
-- \C1|state[26]~67\ = CARRY((\C1|state\(31) & (\C1|state\(26) & !\C1|state[25]~65\)) # (!\C1|state\(31) & ((\C1|state\(26)) # (!\C1|state[25]~65\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(26),
	datad => VCC,
	cin => \C1|state[25]~65\,
	combout => \C1|state[26]~66_combout\,
	cout => \C1|state[26]~67\);

-- Location: FF_X1_Y12_N15
\C1|state[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[26]~66_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(26));

-- Location: LCCOMB_X1_Y12_N20
\C1|state[29]~72\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[29]~72_combout\ = (\C1|state\(31) & ((\C1|state\(29) & (!\C1|state[28]~71\)) # (!\C1|state\(29) & ((\C1|state[28]~71\) # (GND))))) # (!\C1|state\(31) & ((\C1|state\(29) & (\C1|state[28]~71\ & VCC)) # (!\C1|state\(29) & (!\C1|state[28]~71\))))
-- \C1|state[29]~73\ = CARRY((\C1|state\(31) & ((!\C1|state[28]~71\) # (!\C1|state\(29)))) # (!\C1|state\(31) & (!\C1|state\(29) & !\C1|state[28]~71\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \C1|state\(31),
	datab => \C1|state\(29),
	datad => VCC,
	cin => \C1|state[28]~71\,
	combout => \C1|state[29]~72_combout\,
	cout => \C1|state[29]~73\);

-- Location: FF_X1_Y12_N21
\C1|state[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[29]~72_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(29));

-- Location: LCCOMB_X1_Y12_N24
\C1|state[31]~76\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|state[31]~76_combout\ = !\C1|state[30]~75\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \C1|state[30]~75\,
	combout => \C1|state[31]~76_combout\);

-- Location: FF_X1_Y12_N25
\C1|state[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|state[31]~76_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|state\(31));

-- Location: LCCOMB_X1_Y12_N26
\C1|res~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \C1|res~0_combout\ = \C1|res~q\ $ (!\C1|state\(31))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \C1|res~q\,
	datad => \C1|state\(31),
	combout => \C1|res~0_combout\);

-- Location: FF_X1_Y12_N27
\C1|res\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \a~inputclkctrl_outclk\,
	d => \C1|res~0_combout\,
	clrn => \ALT_INV_b~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C1|res~q\);
END structure;


